#ifndef __BUTTON_HPP__
#define __BUTTON_HPP__

#include <stdint.h>

class AnalogButton {
public:
	AnalogButton(uint8_t analogPin, int vRef) : _aPin{analogPin}, _vRef{vRef} {};
	bool is_button_pressed(void);
	void calibrate(void);
private:
	uint8_t _aPin;
	int _vRef;
};

#endif /* __BUTTON_HPP__ */
